### Constructor

# ICalGLib Value new_recur

since: 1.0

#### Declaration [src]

    ICalValue*
    i_cal_value_new_recur (
      const ICalRecurrence* value
    )

#### Description [src]

Creates a new `ICalValue` holding RECUR.

Available since: 1.0

#### Parameters

`value`

  Type: `const ICalRecurrence`

  The `ICalRecurrence` value.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalValue`

A new `ICalValue` holding RECUR.

The caller of the function takes ownership of the data, and is responsible for freeing it.